# $Revision: 1.34 $, $Date: 2004/12/17 11:06:13 $
Summary:	GUI for a Network Neighborhood in LINUX
Summary(pl):	GUI dla Otoczenia Sieciowego (SMB) w Linuksie
Summary(pt_BR):	Interface grfica para a vizinhana da rede
Name:		LinNeighborhood
Version:	0.6.5
Release:	5
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.bnro.de/~schmidjo/download/%{name}-%{version}.tar.gz
# Source0-md5:	5e50c9cef403164aca22be9ade0a7dbf
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-po.patch
#bugfix for samba 3 mount problem ('can't resolve address'):
# http://www.bnro.de/~schmidjo/download/LinNeighborhood-0.6.5-samba3.patc
Patch1:		%{name}-%{version}-samba3.patch
URL:		http://www.bnro.de/~schmidjo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libtool
Requires:	samba-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
This application gives you a GUI similar to the Win9x/NT network
neighborhood. It makes you able to browse entire networks and mount
shares.

%description -l pl
Ta aplikacja dostarcza Ci GUI podobnego do Otoczenia Sieciowego w
Win9x/NT. Narzdzie to pozwala na przegldanie caych sieci oraz
montowanie udostpnianych zasobw.

%description -l pt_BR
Esta aplicao fornece uma interface grfica similar a vizinhana da rede
no Win9x/NT (c). Permite a navegao em redes inteiras e montar volumes
compartilhados.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CONFIGURATION README THANKS TODO ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: LinNeighborhood.spec,v $
Revision 1.34  2004/12/17 11:06:13  adamg
- samba3 patch put into CVS

Revision 1.33  2004/12/17 10:39:30  kolodko
- added LinNeighborhood-0.6.5-samba3.patch
- rel 5
- STBR

Revision 1.32  2004/11/26 12:53:44  paladine
- sorted BRs
- fixed desktop file
- rel 4

Revision 1.31  2004/07/03 22:06:24  havner
- applnk -> vfolders

Revision 1.30  2004/04/26 07:13:56  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.29  2003/11/11 01:33:20  ankry
- caps unification, other cosmetics

Revision 1.28  2003/08/18 08:07:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/07/22 15:42:57  undefine
- pt_BR translations

Revision 1.26  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.25  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/09 08:45:26  djrzulf
- added Patch0, now builds,
- STBR,

Revision 1.23  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.22  2002/11/29 22:45:54  ankry
- massive attack: new %%doc

Revision 1.21  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.19  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/06/11 17:41:44  marcus
- updated to 0.6.5

Revision 1.17  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/02 05:02:52  kloczek
- Icon for desktop file changed to standard 48x48 png file.

Revision 1.14  2002/03/01 14:43:17  marcus
- new version 0.6.4

Revision 1.13  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/05/08 11:31:13  kloczek
- release 2.

Revision 1.10  2001/05/08 10:09:41  blues
- remove requires samba-client<=2.2 (it should work in 2.0)
- removed NEWS from docs (broken) - Changelog added instead

Revision 1.9  2001/05/08 09:45:20  blues
- cosmetics

Revision 1.8  2001/05/07 23:21:47  kloczek
- updated to 0.6.3 and make libtool happy.

Revision 1.7  2001/04/19 22:29:25  misiek
- fixed compilation with new gettext
- release 2

Revision 1.6  2001/01/07 23:07:39  kloczek
- updated to 0.6.2,
- updated %build and %install.

Revision 1.5  2000/11/06 00:20:19  kloczek
- release 2.

Revision 1.4  2000/11/05 23:48:06  michuz
- typo

Revision 1.3  2000/11/05 23:46:51  michuz
- applnk file moved to %%{_applnkdir}/Network/Misc

Revision 1.2  2000/11/05 16:17:16  kloczek
- only cosmetics.

Revision 1.1  2000/11/05 00:38:01  misiek
SMB neighbor browser

* Fri Sep 1 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built 0.6.1 and added russian language support

* Fri Jul 14 2000 Richard Torkar <ds98rito@thn.htu.se>
- Rebuilt with KDE support. Thanx to Gregoire Barbier <barbier@sycomore.fr>

* Wed Jun 21 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built stable 0.6.0 and added ja, fr & sv to locale

* Sat Jun 1 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built the new pre1 version and started including locale

* Wed Mar 15 2000 Richard Torkar <ds98rito@thn.htu.se>
- Changed to new version and added it to the gnome menu
